#include <project.h>

#define I2C_LCD_ADDR	(0x27)

/* Buffer and packet size */
#define BUFFER_SIZE     (3u)
#define PACKET_SIZE     (BUFFER_SIZE)

/* Command valid status */
#define TRANSFER_CMPLT    (0x00u)
#define TRANSFER_ERROR    (0xFFu)

// commands
#define LCD_CMD_CLEARDISPLAYH 0
#define LCD_CMD_CLEARDISPLAY 0x10
#define LCD_CMD_HOMEH 0
#define LCD_CMD_HOME 0x20

#define LCD_CMD_FUNCTIONSETH 0x20
#define LCD_CMD_FUNCTIONSET 0x80
#define LCD_CMD_INIT_FUNCTIONSET 0x30
#define LCD_CMD_DISPLAYOFFH 0
#define LCD_CMD_DISPLAYOFF  0x80
#define LCD_CMD_DISPLAYONH 0
#define LCD_CMD_DISPLAYON  0xC0

#define LCD_CMD_ENTRYH 0
#define LCD_CMD_ENTRY 0x60

#define LCD_SETCGRAMADDR 0x40
#define LCD_SETDDRAMADDR 0x80

//PCF8574とLCDの接続信号設定
#define En 0B00000100  // Enable bit
#define AEn 0B1111011  // Enable bit
#define Rw 0B00000010  // Read/Write bit
#define Rs 0B00000001  // Register select bit
#define BLON 0B00001000  // Back Light bit
#define BLOFF 0 // Back Light off

#define LOW8MASK    0xF0
#define ON_BL  1
#define OFF_BL  0


//関数宣言
uint16 LCD_Write(uint8);
void LCD_Cmd(uint8 );
void LCD_Clear(void);
void LCD_SetPos(uint8 , uint8);
void LCD_Puts(char8 *);
void LCD_Init(void);
void LCD_Home(void);
void LCD_BackLight(uint8);